.wrapper {
    display: grid;
    grid-gap: 1rem;
    justify-items: center;
    width: 100%;
    text-align: left;
}

input[type=text], input[type=password] {
    width: 25rem;
    max-width: 100%;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: .25rem .5rem;
    border: solid 0.125rem #787372;
    border-radius: 0.25rem;
    color: #182026;
}

.invalid-feedback {
    width: 25rem;
    margin-top: .25rem;
    font-size: 80%;
    color: #dc3545;
    display: block;
}

input[type=text].invalid, input[type=password].invalid {
    /*padding-right: calc(1.5em + .75rem);*/
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545'%3E%3Ccircle cx='6' cy='6' r='4.5'/%3E%3Cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3E%3Ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

input[type=text].invalid:focus, input[type=password].invalid:focus {
    border-color: #dc3545 !important;
    box-shadow: 0 0 0 0.2rem rgb(220 53 69 / 25%);
    outline: none;
}

.display-none {
    display: none;
}

.password-feedback-preamble {
    width: 26rem;
}

.password-wrapper {
    position: relative;
}

.passwordul {
    padding-left:0px;
    list-style-type: none;
    text-align: left;
}

.passwordul li {
    margin-left: 1.5em;
    padding-left: 0;
    margin-bottom: 8px;
    line-height: 0.75em;
}
.passwordicon {
    margin-right:8px;
    width: 16px;
    vertical-align: middle;
}

.password-none-color {
    color: #16325c;
}

.password-good-color {
    color: green;
}

.password-weak-color {
    color: #CF4F43;
}